gui = {
  title = "All items",
  description = "Broadcast all items to a network, with value=0.",
  fields = {
    network = {
      title = "Network",
      type = "string",
      options = {
        lan = "LAN",
        wifi = "Wifi",
      },
      description = "The target network to receive signals",
      default = "lan",
      order = "a",
    },
    resource = {
      title = "Resources",
      type = "boolean",
      default = true,
      order = "ba",
    },
    material = {
      title = "Materials",
      type = "boolean",
      default = true,
      order = "bb",
    },
    component = {
      title = "Components",
      type = "boolean",
      default = true,
      order = "bc",
    },
    automation = {
      title = "Automation",
      type = "boolean",
      default = true,
      order = "bd",
    },
    product = {
      title = "Ancient Tech",
      type = "boolean",
      default = true,
      order = "be",
    },
    waste = {
      title = "Waste",
      type = "boolean",
      default = true,
      order = "bf",
    },
  }
}

function main()
  local fields = api.gui_fields()

  api.color(api.colors.ok)

  local send = fields.network == "lan" and api.lan_send or api.wifi_send

  for _,item in ipairs(api.items) do
    if fields[item.category] then
      send(item.name,0)
    end
  end
end

