gui = {
  title = "Constant signal",
  description = "Broadcast a steady signal to a network",
  fields = {
    network = {
      title = "Network",
      type = "string",
      options = {
        lan = "LAN",
        wifi = "Wifi",
      },
      description = "The target network to receive signals",
      default = "lan",
      order = "a",
    },
    key = {
      title = "Name",
      type = "string",
      description = "Name of signal to broadcast",
      default = "",
      order = "b",
    },
    item = {
      title = "Item",
      type = "item",
      description = "Item name of signal to broadcast (overrides Name)",
      default = "",
      order = "c",
    },
    val = {
      title = "Value",
      type = "integer",
      description = "Value of signal to broadcast",
      default = 1,
      order = "d",
    },
  }
}

function main()
  local fields = api.gui_fields()
  local name = fields.item or fields.key

  if name == "" then
    print("waiting for signal name")
    api.color(api.colors.warn)
    api.sleep(api.ups())
    return
  end

  api.color(api.colors.ok)

  -- activity log
  if api.every(1) then
    print("current signal: " .. name .. ":" .. fields.val)
  end

  local send = fields.network == "lan" and api.lan_send or api.wifi_send
  send(name, fields.val)
end
